- Qt 5.15
- Qt Quick
- QML Types
- LinearGradient QML Type
- Qt 5.15.19 Reference Documentation

# LinearGradient QML Type

Linear gradient. More...

Import Statement: | import QtQuick.Shapes 1.15
Since: | Qt 5.10
Inherits: | ShapeGradient

- List of all members, including inherited members

## Properties

- x1 : real
- x2 : real
- y1 : real
- y2 : real

## Detailed Description

Linear gradients interpolate colors between start and end points in Shape items. Outside these points the gradient is either padded, reflected or repeated depending on the spread type.

Note: LinearGradient is only supported in combination with Shape items. It is not compatible with Rectangle, as that only supports Gradient.

See also QLinearGradient.

## Property Documentation

x1 : real
x2 : real
y1 : real
y2 : real

These properties define the start and end points between which color interpolation occurs. By default both points are set to (0, 0).